<script setup lang="ts">
    import { FilterChoice } from '@/shared/filters/entities/FilterChoiceInterface'
    import { DemandeInterventionFilters } from '@/interventionServiceOffer/entities/demandeIntervention/filters/DemandeInterventionFilters'
    import { DemandeInterventionHistorisedStatusDto } from '@/interventionServiceOffer/entities/demandeIntervention/status/DemandeInterventionHistorisedStatusDto'

    const demandeInterventionFilters = defineModel<DemandeInterventionFilters>({
        required: true,
    })

    const avaibleStatus: FilterChoice[] &
        {
            label: string
            value: DemandeInterventionHistorisedStatusDto['code']
        }[] = [
        { label: 'En attente de validation', value: 'awaiting_validation' },
        { label: "En attente d'information", value: 'awaiting_information' },
        { label: 'En cours', value: 'accepted' },
        { label: 'Fermé', value: 'closed' },
    ]
</script>

<template>
    <span class="d-flex align-center py-4 pl-2">
        <v-icon size="x-large">mdi-filter-outline</v-icon>
        <h2 class="text-h8 ml-2">Filtrer par</h2>
    </span>

    <v-list lines="one" density="compact">
        <v-list-subheader>Etat actuel</v-list-subheader>
        <v-list-item density="compact">
            <v-checkbox
                v-for="status in avaibleStatus"
                :key="status.value"
                v-model="demandeInterventionFilters.filters.statuses"
                :label="status.label"
                data-cy="status-filter"
                hide-details
                color="primary"
                density="compact"
                :value="status.value"
            ></v-checkbox>
        </v-list-item>
    </v-list>
</template>
